MBeanParameterInfo (Java Platform SE 8 )
Keywords: javax.management.MBeanParameterInfo class
Date: 2026-04-17

compact3
javax.management

## Class MBeanParameterInfo

- java.lang.Object
- - javax.management.MBeanFeatureInfo
  - - javax.management.MBeanParameterInfo

- All Implemented Interfaces:
    Serializable, Cloneable, DescriptorRead
  Direct Known Subclasses:
    OpenMBeanParameterInfoSupport

      public class MBeanParameterInfo
      extends MBeanFeatureInfo
      implements Cloneable

  Describes an argument of an operation exposed by an MBean. Instances of this class are immutable. Subclasses may be mutable but this is not recommended.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.management.MBeanFeatureInfo

      `description, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBeanParameterInfo(String name, String type, String description)` Constructs an `MBeanParameterInfo` object.
    `MBeanParameterInfo(String name, String type, String description, Descriptor descriptor)` Constructs an `MBeanParameterInfo` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()` Returns a shallow clone of this instance.
    `boolean` | `equals(Object o)` Compare this MBeanParameterInfo to another.
    `String` | `getType()` Returns the type or class name of the data.
    `int` | `hashCode()` Returns a hash code value for the object.
    `String` | `toString()` Returns a string representation of the object.

    - ### Methods inherited from class javax.management.MBeanFeatureInfo

      `getDescription, getDescriptor, getName`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MBeanParameterInfo

          public MBeanParameterInfo(String name,
                                    String type,
                                    String description)

      Constructs an `MBeanParameterInfo` object.
      Parameters:
        `name` - The name of the data
        `type` - The type or class name of the data
        `description` - A human readable description of the data. Optional.

    - #### MBeanParameterInfo

          public MBeanParameterInfo(String name,
                                    String type,
                                    String description,
                                    Descriptor descriptor)

      Constructs an `MBeanParameterInfo` object.
      Parameters:
        `name` - The name of the data
        `type` - The type or class name of the data
        `description` - A human readable description of the data. Optional.
        `descriptor` - The descriptor for the operation. This may be null which is equivalent to an empty descriptor.
      Since:
        1.6

  - ### Method Detail

    - #### clone

          public Object clone()

      Returns a shallow clone of this instance. The clone is obtained by simply calling `super.clone()`, thus calling the default native shallow cloning mechanism implemented by `Object.clone()`. No deeper cloning of any internal field is made.

      Since this class is immutable, cloning is chiefly of interest to subclasses.

      Overrides:
        `clone` in class `Object`
      Returns:
        a clone of this instance.
      See Also:
        `Cloneable`

    - #### getType

          public String getType()

      Returns the type or class name of the data.
      Returns:
        the type string.

    - #### toString

          public String toString()

      Description copied from class: `Object`
      Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

      The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

      >      getClass().getName() + '@' + Integer.toHexString(hashCode())

      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.

    - #### equals

          public boolean equals(Object o)

      Compare this MBeanParameterInfo to another.
      Overrides:
        `equals` in class `MBeanFeatureInfo`
      Parameters:
        `o` - the object to compare to.
      Returns:
        true if and only if `o` is an MBeanParameterInfo such that its `MBeanFeatureInfo.getName()`, `getType()`, `MBeanFeatureInfo.getDescriptor()`, and `MBeanFeatureInfo.getDescription()` values are equal (not necessarily identical) to those of this MBeanParameterInfo.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### hashCode

          public int hashCode()

      Description copied from class: `Object`
      Returns a hash code value for the object. This method is supported for the benefit of hash tables such as those provided by `HashMap`.

      The general contract of `hashCode` is:

      - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
      - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
      - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hash tables.

      As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the Java™ programming language.)

      Overrides:
        `hashCode` in class `MBeanFeatureInfo`
      Returns:
        a hash code value for this object.
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.